<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Mon Oct 14 14:51:10 CEST 2019 -->
<title>B-Index</title>
<meta name="date" content="2019-10-14">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="B-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-1.html">Prev Letter</a></li>
<li><a href="index-3.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-2.html" target="_top">Frames</a></li>
<li><a href="index-2.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a name="I:B">
<!--   -->
</a>
<h2 class="title">B</h2>
<dl>
<dt><a href="../domain/Book.html" title="class in domain"><span class="typeNameLink">Book</span></a> - Class in <a href="../domain/package-summary.html">domain</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Book.html#Book--">Book()</a></span> - Constructor for class domain.<a href="../domain/Book.html" title="class in domain">Book</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Book.html#Book-int-java.lang.String-int-domain.Author-domain.Genre-">Book(int, String, int, Author, Genre)</a></span> - Constructor for class domain.<a href="../domain/Book.html" title="class in domain">Book</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../repo/BookDAO.html" title="class in repo"><span class="typeNameLink">BookDAO</span></a> - Class in <a href="../repo/package-summary.html">repo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/BookDAO.html#BookDAO--">BookDAO()</a></span> - Constructor for class repo.<a href="../repo/BookDAO.html" title="class in repo">BookDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/BookDAO.html#BookDAO-java.sql.Connection-">BookDAO(Connection)</a></span> - Constructor for class repo.<a href="../repo/BookDAO.html" title="class in repo">BookDAO</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../services/BookService.html" title="class in services"><span class="typeNameLink">BookService</span></a> - Class in <a href="../services/package-summary.html">services</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../services/BookService.html#BookService-repo.BookDAO-">BookService(BookDAO)</a></span> - Constructor for class services.<a href="../services/BookService.html" title="class in services">BookService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../repo/BookServicesTest.html" title="class in repo"><span class="typeNameLink">BookServicesTest</span></a> - Class in <a href="../repo/package-summary.html">repo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/BookServicesTest.html#BookServicesTest--">BookServicesTest()</a></span> - Constructor for class repo.<a href="../repo/BookServicesTest.html" title="class in repo">BookServicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../ServicesTest/BookServicesTest.html" title="class in ServicesTest"><span class="typeNameLink">BookServicesTest</span></a> - Class in <a href="../ServicesTest/package-summary.html">ServicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ServicesTest/BookServicesTest.html#BookServicesTest--">BookServicesTest()</a></span> - Constructor for class ServicesTest.<a href="../ServicesTest/BookServicesTest.html" title="class in ServicesTest">BookServicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../domain/Borrow.html" title="class in domain"><span class="typeNameLink">Borrow</span></a> - Class in <a href="../domain/package-summary.html">domain</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Borrow.html#Borrow--">Borrow()</a></span> - Constructor for class domain.<a href="../domain/Borrow.html" title="class in domain">Borrow</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Borrow.html#Borrow-int-domain.Students-domain.Book-java.util.Date-java.util.Date-">Borrow(int, Students, Book, Date, Date)</a></span> - Constructor for class domain.<a href="../domain/Borrow.html" title="class in domain">Borrow</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../repo/BorrowDAO.html" title="class in repo"><span class="typeNameLink">BorrowDAO</span></a> - Class in <a href="../repo/package-summary.html">repo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/BorrowDAO.html#BorrowDAO--">BorrowDAO()</a></span> - Constructor for class repo.<a href="../repo/BorrowDAO.html" title="class in repo">BorrowDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/BorrowDAO.html#BorrowDAO-java.sql.Connection-">BorrowDAO(Connection)</a></span> - Constructor for class repo.<a href="../repo/BorrowDAO.html" title="class in repo">BorrowDAO</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../repo/BorrowDAOTest.html" title="class in repo"><span class="typeNameLink">BorrowDAOTest</span></a> - Class in <a href="../repo/package-summary.html">repo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/BorrowDAOTest.html#BorrowDAOTest--">BorrowDAOTest()</a></span> - Constructor for class repo.<a href="../repo/BorrowDAOTest.html" title="class in repo">BorrowDAOTest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../services/BorrowService.html" title="class in services"><span class="typeNameLink">BorrowService</span></a> - Class in <a href="../services/package-summary.html">services</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../services/BorrowService.html#BorrowService-repo.BorrowDAO-">BorrowService(BorrowDAO)</a></span> - Constructor for class services.<a href="../services/BorrowService.html" title="class in services">BorrowService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../ServicesTest/BorrowservicesTest.html" title="class in ServicesTest"><span class="typeNameLink">BorrowservicesTest</span></a> - Class in <a href="../ServicesTest/package-summary.html">ServicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ServicesTest/BorrowservicesTest.html#BorrowservicesTest--">BorrowservicesTest()</a></span> - Constructor for class ServicesTest.<a href="../ServicesTest/BorrowservicesTest.html" title="class in ServicesTest">BorrowservicesTest</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-1.html">Prev Letter</a></li>
<li><a href="index-3.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-2.html" target="_top">Frames</a></li>
<li><a href="index-2.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
